javax.jdo.annotations

## Enum IdGeneratorStrategy

- java.lang.Object
- - java.lang.Enum<IdGeneratorStrategy>
  - - javax.jdo.annotations.IdGeneratorStrategy

- All Implemented Interfaces:
    Serializable, Comparable<IdGeneratorStrategy>

      public enum IdGeneratorStrategy
      extends Enum<IdGeneratorStrategy>

  Enumeration of the id generator strategy values.
  Since:
    2.1
  Version:
    2.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IDENTITY`
    `INCREMENT`
    `NATIVE`
    `SEQUENCE`
    `UNSPECIFIED`
    `UUIDHEX`
    `UUIDSTRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IdGeneratorStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IdGeneratorStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final IdGeneratorStrategy UNSPECIFIED

    - #### NATIVE

          public static final IdGeneratorStrategy NATIVE

    - #### SEQUENCE

          public static final IdGeneratorStrategy SEQUENCE

    - #### IDENTITY

          public static final IdGeneratorStrategy IDENTITY

    - #### INCREMENT

          public static final IdGeneratorStrategy INCREMENT

    - #### UUIDSTRING

          public static final IdGeneratorStrategy UUIDSTRING

    - #### UUIDHEX

          public static final IdGeneratorStrategy UUIDHEX

  - ### Method Detail

    - #### values

          public static IdGeneratorStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IdGeneratorStrategy c : IdGeneratorStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IdGeneratorStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–1970 Apache Software Foundation. All rights reserved.